<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="special_functions"
	ProjectGUID="{C8C13A46-DEB8-44AA-8BF8-C9BBC7FA0B46}"
	TargetFrameworkVersion="0"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="/arch:IA32"
				Optimization="0"
				AdditionalIncludeDirectories="../../includes;../../../core/includes;../../../output_stream/includes;../../../elementary_functions/includes;../../../localization/includes;../../../../libs/MALLOC/includes;../../../../libs/intl;../../../api_scilab/includes"
				PreprocessorDefinitions="_LIB;_DEBUG;_CRT_SECURE_NO_DEPRECATE"
				BasicRuntimeChecks="0"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				PrecompiledHeaderFile=""
				AssemblerListingLocation="$(ConfigurationName)/"
				ObjectFile="$(ConfigurationName)/"
				ProgramDataBaseFileName="$(ConfigurationName)/"
				WarningLevel="3"
				SuppressStartupBanner="true"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
				CompileAs="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1036"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../../../../libs/special_functions.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="cd &quot;$(IntDir)&quot; &gt;nul&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n libscilab.dll %%f &gt;nul&#x0D;&#x0A;copy *.def special_functions.def &gt;nul&#x0D;&#x0A;copy special_functions.def ..\..\..\..\..\libs\special_functions.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd .. &gt;nul&#x0D;&#x0A;"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="../../includes;../../../core/includes;../../../output_stream/includes;../../../elementary_functions/includes;../../../localization/includes;../../../../libs/MALLOC/includes;../../../../libs/intl;../../../api_scilab/includes"
				PreprocessorDefinitions="_LIB;_DEBUG;_CRT_SECURE_NO_DEPRECATE"
				BasicRuntimeChecks="0"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				PrecompiledHeaderFile=""
				AssemblerListingLocation="$(ConfigurationName)/"
				ObjectFile="$(ConfigurationName)/"
				ProgramDataBaseFileName="$(ConfigurationName)/"
				WarningLevel="3"
				SuppressStartupBanner="true"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
				CompileAs="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1036"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../../../../libs/special_functions.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="cd &quot;$(IntDir)&quot; &gt;nul&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n libscilab.dll %%f &gt;nul&#x0D;&#x0A;copy *.def special_functions.def &gt;nul&#x0D;&#x0A;copy special_functions.def ..\..\..\..\..\libs\special_functions.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd .. &gt;nul&#x0D;&#x0A;"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="/arch:IA32"
				Optimization="2"
				InlineFunctionExpansion="1"
				FavorSizeOrSpeed="1"
				AdditionalIncludeDirectories="../../includes;../../../core/includes;../../../output_stream/includes;../../../elementary_functions/includes;../../../localization/includes;../../../../libs/MALLOC/includes;../../../../libs/intl;../../../api_scilab/includes"
				PreprocessorDefinitions="NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE"
				StringPooling="true"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				EnableEnhancedInstructionSet="0"
				UsePrecompiledHeader="0"
				PrecompiledHeaderFile=""
				AssemblerListingLocation="$(ConfigurationName)/"
				ObjectFile="$(ConfigurationName)/"
				ProgramDataBaseFileName="$(ConfigurationName)/"
				WarningLevel="3"
				SuppressStartupBanner="true"
				Detect64BitPortabilityProblems="false"
				CompileAs="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1036"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../../../../libs/special_functions.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="cd &quot;$(IntDir)&quot; &gt;nul&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n libscilab.dll %%f &gt;nul&#x0D;&#x0A;copy *.def special_functions.def &gt;nul&#x0D;&#x0A;copy special_functions.def ..\..\..\..\..\libs\special_functions.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd .. &gt;nul&#x0D;&#x0A;"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				FavorSizeOrSpeed="1"
				AdditionalIncludeDirectories="../../includes;../../../core/includes;../../../output_stream/includes;../../../elementary_functions/includes;../../../localization/includes;../../../../libs/MALLOC/includes;../../../../libs/intl;../../../api_scilab/includes"
				PreprocessorDefinitions="NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE"
				StringPooling="true"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				EnableEnhancedInstructionSet="0"
				UsePrecompiledHeader="0"
				PrecompiledHeaderFile=""
				AssemblerListingLocation="$(ConfigurationName)/"
				ObjectFile="$(ConfigurationName)/"
				ProgramDataBaseFileName="$(ConfigurationName)/"
				WarningLevel="3"
				SuppressStartupBanner="true"
				Detect64BitPortabilityProblems="false"
				CompileAs="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1036"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../../../../libs/special_functions.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="cd &quot;$(IntDir)&quot; &gt;nul&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n libscilab.dll %%f &gt;nul&#x0D;&#x0A;copy *.def special_functions.def &gt;nul&#x0D;&#x0A;copy special_functions.def ..\..\..\..\..\libs\special_functions.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd .. &gt;nul&#x0D;&#x0A;"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
			>
			<File
				RelativePath="..\..\sci_gateway\c\gw_special_functions1.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\gw_special_functions2.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_besselh.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_besseli.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_besselj.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_besselk.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_bessely.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_beta.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_calerf.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_dlgamma.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_gamma.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_legendre.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_lgamma.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_oldbesseli.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_oldbesselj.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_oldbesselk.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_oldbessely.c"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl"
			>
			<File
				RelativePath="..\..\includes\gw_special_functions1.h"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\gw_special_functions1.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\gw_special_functions2.h"
				>
			</File>
		</Filter>
		<Filter
			Name="localization"
			>
			<File
				RelativePath="..\..\locales\en_US\messages.pot"
				>
			</File>
		</Filter>
		<Filter
			Name="Libraries Dependencies"
			>
		</Filter>
		<File
			RelativePath="..\..\Makefile.am"
			>
		</File>
		<File
			RelativePath="..\..\special_functions.iss"
			>
		</File>
		<File
			RelativePath="..\..\sci_gateway\special_functions_gateway.xml"
			>
		</File>
		<File
			RelativePath="..\..\version.xml"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
